var auto_shutdown_status = {
	initial: function() {	
		//Start XPCOM download observer
		auto_shutdown_status_pref.ReadStr('onLoad');

		//this part is important when we have more than one window
		auto_shutdown_icons.download_mng(auto_shutdown_status_pref.ReadBool('bShutdown'));
		auto_shutdown_icons.statusbar(auto_shutdown_status_pref.ReadBool('bShutdown'));
		
		this.show_welcome_screen();		
		
		document.getElementById('SD-Status-Icon').hidden = auto_shutdown_status_pref.ReadBool('StatusIconHide');	
		document.getElementById('Sd.Status.Label').value = auto_shutdown_status_pref.ReadStr("iNumberOfADownload");
		
		document.getElementById('Sd.Status.Label').hidden = 
			auto_shutdown_status_pref.ReadBool('StatusCounterHide') ||  (auto_shutdown_status_pref.ReadStr("iNumberOfADownload") == 0);

		document.getElementById('Sd-Status').hidden = 
			(auto_shutdown_status_pref.ReadBool('StatusIconHide')) && (auto_shutdown_status_pref.ReadBool('StatusCounterHide'));
	},
	
	show_welcome_screen: function() {
		var em = Components.classes["@mozilla.org/extensions/manager;1"]
					   .getService(Components.interfaces.nsIExtensionManager);

		var addon = em.getItemForID("amin.eft_Shutdown@gmail.com");
		var version = addon.version;
		if(auto_shutdown_status_pref.ReadStr("currentVersion") != version){
			setTimeout(function() {
				var newTab = getBrowser().addTab('http://inbasic.mozdev.org/root/ext2/home/index.htm');
				getBrowser().selectedTab = newTab;
			}, 600);
			auto_shutdown_status_pref.WriteStr("currentVersion",version);
		}
	},
	
	clear_list: function() {
		var dm = Components.classes["@mozilla.org/download-manager;1"]
						   .getService(Components.interfaces.nsIDownloadManager)
		dm.cleanUp(); 
	},
	
	force_exit: function() {
		var prefs = Components.classes["@mozilla.org/preferences-service;1"]
							  .getService(Components.interfaces.nsIPrefService).getBranch("browser.sessionstore.");
		prefs.setBoolPref("resume_session_once", true);
		// force to shutdown firefox
		var nsIAppStartup = Components.interfaces.nsIAppStartup;
		Components.classes["@mozilla.org/toolkit/app-startup;1"]
				  .getService(nsIAppStartup)
				  .quit(nsIAppStartup.eForceQuit);
	},
	
	set_command: function(event) {
		if(event.button==0){
			if(!auto_shutdown_status_pref.ReadBool('bShutdown')) 
				auto_shutdown_icons.activate(); 
			else 
				auto_shutdown_icons.deactivate();
		}
	},
	
	open_Options: function() {
	  window.openDialog('chrome://inbshutdown/content/Options.xul','Option - InBasic','toolbar, centerscreen, chrome, resizable').focus();
	},
	
	open_About: function() {
	  window.openDialog('chrome://inbshutdown/content/About.xul','About - InBasic','centerscreen, chrome, resizable').focus();
	}
}

//Check icons status at startup
window.addEventListener("load", function(){auto_shutdown_status.initial();}, false);