//Edit all icons
var auto_shutdown_icons = {
	statusbar: function(bol) {
		var wm =Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
		var browserEnumerator = wm.getEnumerator("navigator:browser");
		while(browserEnumerator.hasMoreElements())  //maybe more than 1 window opens!!
		{   
			browserEnumerator.getNext().document.getElementById('SD-Status-Icon').setAttribute('status', bol?'Red':'Gray');
		}
	},
	
	download_mng: function(bol) {
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
		var browserEnumerator = wm.getEnumerator("navigator:browser");
		while (browserEnumerator.hasMoreElements()) {
			var browserInstance = browserEnumerator.getNext().getBrowser();

			var numTabs = browserInstance.tabContainer.childNodes.length;
			for(var index=0; index<numTabs; index++) {
				var currentBrowser = browserInstance.getBrowserAtIndex(index);
				if('chrome://downloadmgr/content/downloadtab.xul'==currentBrowser.currentURI.spec)
					currentBrowser.contentDocument.getElementById('sd.checkbox').checked=bol;
			}
		}
		var dl =Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
		var downloaderEnumerator = dl.getEnumerator("Download:Manager");
		
		var hasMoreElements=downloaderEnumerator.hasMoreElements();
		if(hasMoreElements)
			downloaderEnumerator.getNext().document.getElementById('sd.checkbox').checked=bol;
	},
	
	activate: function() {
		if( !auto_shutdown_status_pref.ReadStr('ShellCMD4') ) 
		  auto_shutdown_find_shutdown_command();
		auto_shutdown_icons.statusbar(true);
		auto_shutdown_icons.download_mng(true);
		auto_shutdown_status_pref.WriteBool("bShutdown",true);
		auto_shutdown_status_pref.ReadStr('activateIDETest');
	},
		
	deactivate: function() {
		auto_shutdown_icons.statusbar(false);
		auto_shutdown_icons.download_mng(false);	
		auto_shutdown_status_pref.WriteBool("bShutdown",false);
		auto_shutdown_status_pref.ReadStr('deactivateIDE');
	},
	
}

function auto_shutdown_find_shutdown_command(){
	var stringsBundle = document.getElementById("Sd.Main.Bundle");
	if(!stringsBundle) stringsBundle = document.getElementById("Sd.dlmg.Bundle");

	//Add script for idle mode
	if( !auto_shutdown_status_pref.ReadStr('ShellCMD4-IDLE') ) 	
		auto_shutdown_status_pref.WriteStr('ShellCMD4-IDLE',"<javaScript>//Put some script for idle mode</javaScript>");
	//Add script for shutdown 
	var Client_OS = platform = navigator.platform;
	var appVer=window.navigator.oscpu;
	
	var sdCommand;
	
	if(Client_OS.indexOf('Win32') >= 0){
		if( appVer.indexOf('98')>=0){
			Client_OS = stringsBundle.getString('OS3'); 
			sdCommand='<shell:%sysRoot%\\rundll32.exe>\n   user,exitwindows\n</shell>';
		}
		else if (appVer.indexOf('95')>=0 ){
			Client_OS = stringsBundle.getString('OS2');
			sdCommand='<shell:%sysRoot%\\rundll32.exe>\n   user,exitwindows\n</shell>';
		} 
		else if (appVer.indexOf('Me')>=0 ){
			Client_OS = stringsBundle.getString('OS4') ; 
			sdCommand='<shell:%sysRoot%\\rundll32.exe>\n   user,exitwindows\n</shell>';
		}
		else if (appVer.indexOf('NT')>=0 ){
			Client_OS = stringsBundle.getString('OS5') ; 
			sdCommand='<shell:%sysRoot%\\rundll32.exe>\n   shell32.dll ShellExec_RunDLL SHUTDOWN /L /T:10 /Y /C\n</shell>';
		} 
		else 
			Client_OS = 'Unknown' ; 
		
		if (appVer.indexOf('NT 5.0')>=0){
			Client_OS = stringsBundle.getString('OS6') ; 
			sdCommand='<shell:%sysRoot%\\rundll32.exe>\n   shell32.dll ShellExec_RunDLL SHUTDOWN /L /T:10 /Y /C\n</shell>';
		} 
		if (appVer.indexOf('NT 5.1')>=0){ 
			Client_OS = stringsBundle.getString('OS7')  ;  
			sdCommand='<shell:%sysRoot%\\rundll32.exe>\n   shell32.dll ShellExec_RunDLL\n   shutdown -s -t 10\n</shell>';
		}
		if (appVer.indexOf('NT 6')>=0){ 
			Client_OS = stringsBundle.getString('OS8') ; 
			sdCommand='<shell:%sysRoot%\\rundll32.exe>\n   shell32.dll ShellExec_RunDLL\n   shutdown -s -t 10\n</shell>';
		}
		if(Client_OS != 'Unknown'){	
			auto_shutdown_status_pref.WriteStr('ShellCMD4',sdCommand)
			alert(stringsBundle.getString('Alert1') + "\n\n" + stringsBundle.getString('Alert9') + " \"" + Client_OS + "\" " + "\n" + stringsBundle.getString('Alert2') + "\n" + sdCommand + "\n\n" + stringsBundle.getString('Alert10'));
		}
		else
			alert(stringsBundle.getString('Alert4'));
	}
	else{
		if(appVer.indexOf('Mac')>=0)  
			Client_OS = stringsBundle.getString('OS10') ; 
		else if ( appVer.indexOf('Linux')>=0) 
			Client_OS = stringsBundle.getString('OS9')  ; 
		else if(appVer.indexOf('OS/2')>=0) 
			Client_OS = stringsBundle.getString('OS11')  ; 
		else 
			Client_OS = 'Unknown'; 
		if(Client_OS == stringsBundle.getString('OS9') || Client_OS == stringsBundle.getString('OS10')){
			auto_shutdown_status_pref.WriteStr('ShellCMD4','<shell:/sbin/shutdown>\n   -h now\n</shell>')
			alert(stringsBundle.getString('Alert1') + "\n\n" + stringsBundle.getString('Alert9') + " \"" + Client_OS + "\" " + "\n" + stringsBundle.getString('Alert2') + "\n" + '<shell:/sbin/shutdown>\n   -h now\n</shell>' + "\n\n" + stringsBundle.getString('Alert10') + "\n\n" + stringsBundle.getString('Alert8') + "\n\t" + stringsBundle.getString('Alert11') + " \"sudo chmod u+s /sbin/shutdown\" ");
		}
		else if(Client_OS != 'Unknown')
			alert(stringsBundle.getString('Alert5') + " \"" + Client_OS + "\" " + stringsBundle.getString('Alert6'));
		else
			alert(stringsBundle.getString('Alert7'));
	}
}

var auto_shutdown_status_pref = {
	ReadBool: function(id) {
		if(id=="bShutdown")
		{
			var prefs = Components.classes["@InBasic.org/AutoShutdown/component;1"]
							 .getService().wrappedJSObject;
			return prefs.isAutoShutdownActive();
		}
		else
		{
			var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("InBasic.ShutDown.");
			var str = prefs.getBoolPref(id);
			return str;
		}
	},
	
	ReadStr: function(id) {
		if(id=="iNumberOfADownload")
		{
			var prefs = Components.classes["@InBasic.org/AutoShutdown/component;1"]
							 .getService().wrappedJSObject;
			return prefs.iNumberOfADownload();
		}
		else if(id=="activateIDETest")
		{
			var prefs = Components.classes["@InBasic.org/AutoShutdown/component;1"]
							 .getService().wrappedJSObject;
			return prefs.activateIDETest();
		}
		else if(id=="deactivateIDE")
		{
			var prefs = Components.classes["@InBasic.org/AutoShutdown/component;1"]
							 .getService().wrappedJSObject;
			return prefs.deactivateIDE();
		}
		else if(id=="onLoad")
		{
			var prefs = Components.classes["@InBasic.org/AutoShutdown/component;1"]
							 .getService().wrappedJSObject;
			return prefs.onLoad();
		}
		else
		{
			var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("InBasic.ShutDown.");
			
			if ((id == 'ShellCMD4-IDLE') || (id == 'ShellCMD4') || (id == 'UserCMD2') || (id == 'UserCMD1') )
				var str = prefs.getComplexValue(id, Components.interfaces.nsISupportsString).data;
			else
				var str = prefs.getCharPref(id);
			return str;
		}
	},
	
	WriteBool: function(id,sData) {
		if(id=="bShutdown")
		{
			var prefs = Components.classes["@InBasic.org/AutoShutdown/component;1"]
							 .getService().wrappedJSObject;
			return prefs.setAutoShutdownActive(sData);
		}
		else
		{
			var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("InBasic.ShutDown.");
				prefs.setBoolPref(id, sData);
		}
	},
	
	WriteStr: function(id,sData) {
        var prefs = Components.classes["@mozilla.org/preferences-service;1"]
                              .getService(Components.interfaces.nsIPrefService).getBranch("InBasic.ShutDown.");
        if ((id == 'ShellCMD4-IDLE') || (id == 'ShellCMD4') || (id == 'UserCMD2') || (id == 'UserCMD1') ) {
			var str = Components.classes["@mozilla.org/supports-string;1"]
						        .createInstance(Components.interfaces.nsISupportsString);
            str.data=sData;
            prefs.setComplexValue(id, Components.interfaces.nsISupportsString, str);
        } 
		else 
            prefs.setCharPref(id, sData);
	}
}